DMTXREAD(1)

NAME
dmtxquery - extract information from dmtxread output

SYNOPSIS
dmtxquery PROPERTY [OPTION]... [FILE]...

DESCRIPTION
dmtxquery extracts information from the XML output from dmtxread for individual or grouped barcode scan results.

PROPERTY

barcode.count count of all barcodes found in image

barcode.N.BPROP print BPROP property of Nth barcode

message.count count of all messages found in image

message.N.MPROP print MPROP property of Nth message

message.N.barcode.count count of all barcodes in Nth message

message.N.barcode.M Mth barcode of Nth message, print all

message.N.barcode.M.BPROP Mth barcode of Nth message, print BPROP

BPROP barcode properties:
   message message_number message_position
   matrix_size data_codewords error_codewords
   rotation data_regions_count interleaved_blocks

MPROP message properties:
   message data_codeword error_codeword

OPTIONS

-V, --version
    Print program version information.

--help
    Display this help message and quit.

STANDARDS
ISO/IEC 16022:2000

ANSI/AIM BC11 ISS

BUGS
Email bug reports to mike@dragonflylogic.com

AUTHOR
Copyright (C) 2008, 2009 Mike Laughton